Bug 108070 - [CI][BAT] igt@. - dmesg-warn - WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
Summary: [CI][BAT] igt@. - dmesg-warn - WARN_ON(intel_wait_for_register(dev_priv, regs...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: highest normal
Assignee: Jose Roberto de Souza
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 108071 108084 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-09-26 08:19 UTC by Martin Peres
Modified: 2018-12-03 13:07 UTC (History)
7 users (show)

See Also:
i915 platform: ICL
i915 features: power/runtime PM


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-09-26 08:19:21 UTC
[Many links]

https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4650/fi-icl-u/igt@kms_flip@basic-plain-flip.html

<4> [299.445351] ------------[ cut here ]------------
<4> [299.445355] WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
<4> [299.445411] WARNING: CPU: 7 PID: 2916 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [299.445414] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul snd_hda_intel crc32_pclmul snd_hda_codec ghash_clmulni_intel snd_hwdep e1000e snd_hda_core snd_pcm prime_numbers ax88179_178a usbnet mii
<4> [299.445473] CPU: 7 PID: 2916 Comm: kms_flip Tainted: G     U  W         4.19.0-rc5-CI-CI_DRM_4874+ #1
<4> [299.445477] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.2313.A01.1808012121 08/01/2018
<4> [299.445516] RIP: 0010:hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [299.445520] Code: 8b 70 04 6a 00 01 c9 d3 e2 89 d1 e8 b7 fb 07 00 85 c0 5a 75 02 f3 c3 48 c7 c6 d0 75 2e a0 48 c7 c7 fb 32 2d a0 e8 5d 17 f0 e0 <0f> 0b c3 66 2e 0f 1f 84 00 00 00 00 00 41 55 41 54 ba 01 00 00 00
<4> [299.445523] RSP: 0018:ffffc90000cb7850 EFLAGS: 00010286
<4> [299.445529] RAX: 0000000000000000 RBX: ffff880495350000 RCX: 0000000000000001
<4> [299.445532] RDX: 0000000080000001 RSI: ffffffff820c2cb6 RDI: 00000000ffffffff
<4> [299.445535] RBP: 0000000000000000 R08: 000000007878a77b R09: 0000000000000000
<4> [299.445538] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000002
<4> [299.445541] R13: ffff8804aa7583c8 R14: ffff88049ca6a260 R15: ffffffffa02b6310
<4> [299.445545] FS:  00007fc2f781f980(0000) GS:ffff8804b07c0000(0000) knlGS:0000000000000000
<4> [299.445548] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [299.445552] CR2: 00007f9662630000 CR3: 000000049feda004 CR4: 0000000000760ee0
<4> [299.445555] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [299.445558] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [299.445560] PKRU: 55555554
<4> [299.445563] Call Trace:
<4> [299.445605]  hsw_power_well_enable+0xa2/0x1e0 [i915]
<4> [299.445615]  ? _raw_spin_unlock_irqrestore+0x4c/0x60
<4> [299.445654]  intel_power_well_enable+0x35/0x40 [i915]
<4> [299.445690]  __intel_display_power_get_domain+0x69/0x80 [i915]
<4> [299.445728]  intel_display_power_get+0x2b/0x40 [i915]
<4> [299.445789]  intel_ddi_pre_enable+0x111/0x740 [i915]
<4> [299.445874]  intel_encoders_pre_enable.isra.65+0x61/0x80 [i915]
<4> [299.445935]  haswell_crtc_enable+0x98/0x830 [i915]
<4> [299.445976]  ? intel_display_power_put+0xb8/0x100 [i915]
<4> [299.446038]  intel_update_crtc+0x54/0x2a0 [i915]
<4> [299.446091]  ? verify_single_dpll_state.isra.87+0x97/0x310 [i915]
<4> [299.446144]  skl_update_crtcs+0x288/0x2e0 [i915]
<4> [299.446202]  intel_atomic_commit_tail+0x1ca/0xd20 [i915]
<4> [299.446260]  intel_atomic_commit+0x240/0x320 [i915]
<4> [299.446270]  drm_atomic_helper_set_config+0x7b/0x90
<4> [299.446276]  drm_mode_setcrtc+0x49e/0x680
<4> [299.446302]  ? drm_mode_getcrtc+0x180/0x180
<4> [299.446315]  drm_ioctl_kernel+0x81/0xf0
<4> [299.446324]  drm_ioctl+0x2e6/0x3a0
<4> [299.446331]  ? drm_mode_getcrtc+0x180/0x180
<4> [299.446346]  ? rcu_lockdep_current_cpu_online+0x8f/0xd0
<4> [299.446356]  do_vfs_ioctl+0xa0/0x6d0
<4> [299.446364]  ? __task_pid_nr_ns+0xb9/0x1f0
<4> [299.446373]  ksys_ioctl+0x35/0x60
<4> [299.446381]  __x64_sys_ioctl+0x11/0x20
<4> [299.446386]  do_syscall_64+0x55/0x190
<4> [299.446392]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [299.446397] RIP: 0033:0x7fc2f656d5d7
<4> [299.446401] Code: b3 66 90 48 8b 05 b1 48 2d 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 81 48 2d 00 f7 d8 64 89 01 48
<4> [299.446404] RSP: 002b:00007ffdeec25f68 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
<4> [299.446411] RAX: ffffffffffffffda RBX: 00007ffdeec25fa0 RCX: 00007fc2f656d5d7
<4> [299.446414] RDX: 00007ffdeec25fa0 RSI: 00000000c06864a2 RDI: 0000000000000005
<4> [299.446417] RBP: 00007ffdeec25fa0 R08: 0000000000000000 R09: 00007ffdeec26328
<4> [299.446420] R10: 00007ffdeec261d4 R11: 0000000000000246 R12: 00000000c06864a2
<4> [299.446423] R13: 0000000000000005 R14: 0000000000000000 R15: 0000000000000000
<4> [299.446439] irq event stamp: 590686
<4> [299.446445] hardirqs last  enabled at (590685): [<ffffffff810f81fa>] console_unlock+0x3fa/0x5f0
<4> [299.446449] hardirqs last disabled at (590686): [<ffffffff81001920>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [299.446454] softirqs last  enabled at (590334): [<ffffffff81c0031d>] __do_softirq+0x31d/0x483
<4> [299.446459] softirqs last disabled at (590321): [<ffffffff8108c4e9>] irq_exit+0xa9/0xc0
<4> [299.446498] WARNING: CPU: 7 PID: 2916 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [299.446501] ---[ end trace 66432e34446bc3b0 ]---
Comment 1 Chris Wilson 2018-09-27 13:17:56 UTC
*** Bug 108084 has been marked as a duplicate of this bug. ***
Comment 2 Chris Wilson 2018-09-27 13:18:03 UTC
*** Bug 108071 has been marked as a duplicate of this bug. ***
Comment 3 Tomi Sarvela 2018-09-27 13:59:49 UTC
This issue disappeared on fi-icl-u when USB-C to DP display connection was removed. First seen without second display on CI_DRM_4897.
Comment 4 Jani Saarinen 2018-09-28 11:37:03 UTC
James, should this close now?
Comment 5 James Ausmus 2018-10-02 14:19:37 UTC
Jani - I wonder if this is related to the PD and retimer FW updates?
Comment 6 Jani Saarinen 2018-10-04 09:41:19 UTC
Imre, any thoughts?
Comment 7 Imre Deak 2018-10-04 11:40:37 UTC
(In reply to James Ausmus from comment #5)
> Jani - I wonder if this is related to the PD and retimer FW updates?

(In reply to Jani Saarinen from comment #6)
> Imre, any thoughts?

Not sure, but these firmwares can play a role so if there is a newer version available we should try those.
Comment 8 Lakshmi 2018-10-12 07:26:56 UTC
RK, any updates here?
Comment 9 Radhakrishna Sripada 2018-10-12 07:33:49 UTC
Jose, Could you see if this issue still occurs with updated pd firmware and the new type-c patches that you are working on?
Comment 10 Jose Roberto de Souza 2018-10-13 00:23:35 UTC
Still getting the same warning with the newer re-timer and PD firmware:

[ 5451.173376] [drm:intel_power_well_enable [i915]] enabling DDI D IO
[ 5451.180903] ------------[ cut here ]------------
[ 5451.185532] WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
[ 5451.185582] WARNING: CPU: 3 PID: 29971 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x47/0x50 [i915]
[ 5451.209081] Modules linked in: snd_usb_audio snd_usbmidi_lib snd_seq_midi snd_seq_midi_event snd_rawmidi cdc_ether r8152 i915 vgem prime_numbers asix usbnet snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec snd_hwdep snd_hda_core x86_pkg_temp_thermal snd_pcm e1000e xhci_pci xhci_hcd ucsi_acpi typec_ucsi typec pinctrl_icelake pinctrl_intel efivarfs [last unloaded: i915]
[ 5451.244019] CPU: 3 PID: 29971 Comm: kms_flip Tainted: G     U  W         4.19.0-rc7+ #502
[ 5451.252188] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2352.A01.1808281852 08/28/2018
[ 5451.265845] RIP: 0010:hsw_wait_for_power_well_enable.isra.3+0x47/0x50 [i915]
[ 5451.272889] Code: 00 01 c9 8b 70 04 6a 00 d3 e2 89 d1 e8 a2 01 06 00 5a 85 c0 75 01 c3 48 c7 c6 88 f8 6c a0 48 c7 c7 36 07 6c a0 e8 11 04 aa e0 <0f> 0b c3 66 0f 1f 44 00 00 0f 1f 44 00 00 41 55 ba 01 00 00 00 41
[ 5451.291607] RSP: 0018:ffffc90001bf7838 EFLAGS: 00010282
[ 5451.296836] RAX: 0000000000000000 RBX: ffff880407ae0000 RCX: 0000000000000006
[ 5451.303963] RDX: 0000000000000007 RSI: 0000000000000001 RDI: ffff8804b03956d0
[ 5451.311092] RBP: 0000000000000000 R08: 0000000000000000 R09: 0000000000000000
[ 5451.318221] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000003
[ 5451.325348] R13: ffff8804ad865680 R14: ffff8804a3d64108 R15: ffffffffa06a27f0
[ 5451.332478] FS:  00007f681843ea40(0000) GS:ffff8804b0380000(0000) knlGS:0000000000000000
[ 5451.340561] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 5451.346305] CR2: 00007f68183b7fe0 CR3: 00000004a8bcf002 CR4: 0000000000760ee0
[ 5451.353433] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 5451.360562] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[ 5451.367693] PKRU: 55555554
[ 5451.370401] Call Trace:
[ 5451.372880]  hsw_power_well_enable+0xa9/0x210 [i915]
[ 5451.377872]  intel_power_well_enable+0x3a/0x50 [i915]
[ 5451.382946]  __intel_display_power_get_domain+0x6f/0x90 [i915]
[ 5451.388800]  intel_display_power_get+0x30/0x40 [i915]
[ 5451.393886]  intel_ddi_pre_enable+0x32c/0x7a0 [i915]
[ 5451.398892]  intel_mst_pre_enable_dp+0x8e/0x130 [i915]
[ 5451.404065]  intel_encoders_pre_enable.isra.65+0x66/0x80 [i915]
[ 5451.410018]  haswell_crtc_enable+0x94/0x820 [i915]
[ 5451.414846]  intel_update_crtc+0x5c/0x2a0 [i915]
[ 5451.419496]  skl_update_crtcs+0x263/0x2c0 [i915]
[ 5451.424149]  intel_atomic_commit_tail+0x332/0xd40 [i915]
[ 5451.429492]  intel_atomic_commit+0x23c/0x320 [i915]
[ 5451.434373]  drm_atomic_helper_set_config+0x80/0x90
[ 5451.439253]  drm_mode_setcrtc+0x1aa/0x6b0
[ 5451.443274]  ? drm_mode_getcrtc+0x180/0x180
[ 5451.447463]  drm_ioctl_kernel+0xaf/0xf0
[ 5451.451305]  drm_ioctl+0x2dd/0x390
[ 5451.454715]  ? drm_mode_getcrtc+0x180/0x180
[ 5451.458909]  do_vfs_ioctl+0xa5/0x6a0
[ 5451.462490]  ksys_ioctl+0x60/0x90
[ 5451.465815]  __x64_sys_ioctl+0x16/0x20
[ 5451.469570]  do_syscall_64+0x5a/0x190
[ 5451.473241]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[ 5451.478291] RIP: 0033:0x7f681723af47
[ 5451.481874] Code: 00 00 00 48 8b 05 51 6f 2c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 2e 0f 1f 84 00 00 00 00 00 b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 21 6f 2c 00 f7 d8 64 89 01 48
[ 5451.500592] RSP: 002b:00007ffdca1a11d8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 5451.508151] RAX: ffffffffffffffda RBX: 0000000000000003 RCX: 00007f681723af47
[ 5451.515281] RDX: 00007ffdca1a1210 RSI: 00000000c06864a2 RDI: 0000000000000003
[ 5451.522410] RBP: 00007ffdca1a1210 R08: 0000000000000000 R09: 00007ffdca1a16c8
[ 5451.529538] R10: 00007ffdca1a1574 R11: 0000000000000246 R12: 00000000c06864a2
[ 5451.536663] R13: 0000000000000003 R14: 0000000000000000 R15: 0000000000000000
[ 5451.543798] irq event stamp: 0
[ 5451.546859] hardirqs last  enabled at (0): [<0000000000000000>]           (null)
[ 5451.554250] hardirqs last disabled at (0): [<ffffffff8105b936>] copy_process.part.6+0x7b6/0x1f70
[ 5451.563022] softirqs last  enabled at (0): [<ffffffff8105b936>] copy_process.part.6+0x7b6/0x1f70
[ 5451.571793] softirqs last disabled at (0): [<0000000000000000>]           (null)
[ 5451.579208] WARNING: CPU: 3 PID: 29971 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x47/0x50 [i915]
[ 5451.591780] ---[ end trace 2b76d73e93ac8f29 ]---
Comment 11 Imre Deak 2018-10-17 17:07:11 UTC
Unfortunately the boot log is truncated. There are a few other issues before the first visible DDI_IO_C power well problem, possibly we need to treat them separately:

<3>[   12.927020] [drm:gen8_de_irq_handler [i915]] *ERROR* The master control interrupt lied (DE PIPE)!

<4>[   13.365757] plane 1A assertion failure (expected off, current on)

<3>[   14.312254] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Comment 12 Jani Saarinen 2018-10-26 10:31:19 UTC
Need to wait BIOS 2392 still...
Comment 13 Martin Peres 2018-10-26 11:10:22 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_133/fi-icl-u/igt@pm_backlight@fade_with_suspend.html

Starting subtest: fade_with_suspend
(pm_backlight:1047) CRITICAL: Test assertion failure function test_and_verify, file ../tests/pm_backlight.c:114:
(pm_backlight:1047) CRITICAL: Failed assertion: result >= max(0, val - tolerance) && result <= min(context->max, val + tolerance)
(pm_backlight:1047) CRITICAL: actual_brightness [0] did not match expected brightness [96000 +- 4800]
Subtest fade_with_suspend failed.

<4> [49.813407] ------------[ cut here ]------------
<4> [49.813410] WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
<4> [49.813457] WARNING: CPU: 4 PID: 65 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [49.813459] Modules linked in: snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 ax88179_178a usbnet mii x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec e1000e snd_hwdep snd_hda_core snd_pcm prime_numbers
<4> [49.813502] CPU: 4 PID: 65 Comm: kworker/4:1 Tainted: G     U  W         4.19.0-rc8-g166bc98d7b77-drmtip_133+ #1
<4> [49.813504] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP, BIOS ICLSFWR1.R00.2392.A04.1809260455 09/26/2018
<4> [49.813547] Workqueue: events i915_hpd_poll_init_work [i915]
<4> [49.813576] RIP: 0010:hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [49.813578] Code: 8b 70 04 6a 00 01 c9 d3 e2 89 d1 e8 97 05 08 00 85 c0 5a 75 02 f3 c3 48 c7 c6 c8 4d 53 c0 48 c7 c7 f0 09 52 c0 e8 fd a3 cb fa <0f> 0b c3 66 2e 0f 1f 84 00 00 00 00 00 41 57 41 56 ba 01 00 00 00
<4> [49.813581] RSP: 0018:ffffb430002d3c10 EFLAGS: 00010286
<4> [49.813585] RAX: 0000000000000000 RBX: ffff8ee151d00000 RCX: 0000000000000001
<4> [49.813587] RDX: 0000000080000001 RSI: ffffffffbc0f79ca RDI: 00000000ffffffff
<4> [49.813589] RBP: 0000000000000001 R08: 00000000beed2c03 R09: 0000000000000000
<4> [49.813591] R10: 0000000000000000 R11: 0000000000000000 R12: ffff8ee1641a2bd8
<4> [49.813593] R13: 000000000000001f R14: 0000000000000001 R15: 0006c00000162000
<4> [49.813596] FS:  0000000000000000(0000) GS:ffff8ee16ff00000(0000) knlGS:0000000000000000
<4> [49.813598] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [49.813601] CR2: 00007f8e9f563788 CR3: 00000001cc210005 CR4: 0000000000760ee0
<4> [49.813603] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [49.813605] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [49.813607] PKRU: 55555554
<4> [49.813609] Call Trace:
<4> [49.813637]  icl_combo_phy_aux_power_well_enable+0xc7/0x180 [i915]
<4> [49.813645]  ? _raw_spin_unlock_irqrestore+0x4c/0x60
<4> [49.813674]  intel_power_well_enable+0x35/0x40 [i915]
<4> [49.813701]  __intel_display_power_get_domain+0x69/0x80 [i915]
<4> [49.813732]  intel_display_power_get+0x2b/0x40 [i915]
<4> [49.813782]  intel_dp_detect+0x82/0x560 [i915]
<4> [49.813788]  ? drm_modeset_lock+0x70/0x110
<4> [49.813794]  drm_helper_probe_detect_ctx+0x67/0xd0
<4> [49.813807]  drm_helper_hpd_irq_event+0xa5/0x120
<4> [49.813852]  i915_hpd_poll_init_work+0xc6/0x100 [i915]
<4> [49.813860]  process_one_work+0x245/0x610
<4> [49.813870]  worker_thread+0x37/0x380
<4> [49.813876]  ? process_one_work+0x610/0x610
<4> [49.813879]  kthread+0x119/0x130
<4> [49.813883]  ? kthread_park+0x80/0x80
<4> [49.813889]  ret_from_fork+0x3a/0x50
<4> [49.813901] irq event stamp: 37650
<4> [49.813906] hardirqs last  enabled at (37649): [<ffffffffbb0fd8ee>] vprintk_emit+0x2ee/0x310
<4> [49.813909] hardirqs last disabled at (37650): [<ffffffffbb001930>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [49.813913] softirqs last  enabled at (37504): [<ffffffffbbc0031d>] __do_softirq+0x31d/0x483
<4> [49.813916] softirqs last disabled at (37497): [<ffffffffbb090279>] irq_exit+0xa9/0xc0
<4> [49.813944] WARNING: CPU: 4 PID: 65 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [49.813947] ---[ end trace 587c3a5eb5213a41 ]---
Comment 14 Jani Saarinen 2018-11-05 18:36:49 UTC
Imre, this resolved and patches merged?
Comment 15 Imre Deak 2018-11-05 19:08:46 UTC
(In reply to Jani Saarinen from comment #14)
> Imre, this resolved and patches merged?

No, we would need at least the following patchset:
https://patchwork.freedesktop.org/series/51970
Comment 16 Imre Deak 2018-11-08 17:36:40 UTC
Fix merged:

commit 602438ead302aaa844899db5214b489d0d93fe18
Author: Imre Deak <imre.deak@intel.com>
Date:   Tue Nov 6 18:06:21 2018 +0200

    drm/i915/icl: Fix port B combo PHY context loss after DC transitions
Comment 17 Martin Peres 2018-11-13 15:56:12 UTC
(In reply to Imre Deak from comment #16)
> Fix merged:
> 
> commit 602438ead302aaa844899db5214b489d0d93fe18
> Author: Imre Deak <imre.deak@intel.com>
> Date:   Tue Nov 6 18:06:21 2018 +0200
> 
>     drm/i915/icl: Fix port B combo PHY context loss after DC transitions

Thanks, this really helped!

Now, we can only see this issue with igt@kms_chamelium@common-hpd-after-suspend:

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5120/fi-icl-u2/igt@kms_chamelium@common-hpd-after-suspend.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5128/fi-icl-u2/igt@kms_chamelium@common-hpd-after-suspend.html

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5129/fi-icl-u2/igt@kms_chamelium@common-hpd-after-suspend.html

<4> [206.894907] ------------[ cut here ]------------
<4> [206.894909] WARN_ON(intel_wait_for_register(dev_priv, regs->driver, (0x1 << ((pw_idx) * 2)), (0x1 << ((pw_idx) * 2)), 1))
<4> [206.894944] WARNING: CPU: 2 PID: 2436 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [206.894946] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hwdep btusb snd_hda_core btrtl btbcm btintel bluetooth snd_pcm e1000e cdc_ether usbnet mii ecdh_generic prime_numbers
<4> [206.894966] CPU: 2 PID: 2436 Comm: kworker/u8:73 Tainted: G     U  W         4.20.0-rc2-CI-CI_DRM_5129+ #1
<4> [206.894968] Hardware name: Intel Corporation Ice Lake Client Platform/IceLake U DDR4 SODIMM PD RVP TLC, BIOS ICLSFWR1.R00.2402.AD3.1810170014 10/17/2018
<4> [206.894973] Workqueue: events_unbound async_run_entry_fn
<4> [206.894996] RIP: 0010:hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [206.894999] Code: 8b 70 04 6a 00 01 c9 d3 e2 89 d1 e8 97 21 08 00 85 c0 5a 75 02 f3 c3 48 c7 c6 a0 0e 42 a0 48 c7 c7 8c c8 40 a0 e8 ed ee dc e0 <0f> 0b c3 66 2e 0f 1f 84 00 00 00 00 00 41 57 41 56 ba 01 00 00 00
<4> [206.895001] RSP: 0000:ffffc90000bc7920 EFLAGS: 00010282
<4> [206.895003] RAX: 0000000000000000 RBX: ffff888495ac0000 RCX: 0000000000000006
<4> [206.895005] RDX: 0000000000000006 RSI: ffffffff8212883a RDI: ffffffff820d6d87
<4> [206.895007] RBP: 0000000000000000 R08: 000000009226b124 R09: 0000000000000000
<4> [206.895009] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000002
<4> [206.895011] R13: ffff8884a832c718 R14: ffff888495cea158 R15: ffffffffa03ef2f0
<4> [206.895013] FS:  0000000000000000(0000) GS:ffff8884aff00000(0000) knlGS:0000000000000000
<4> [206.895015] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [206.895017] CR2: 0000000000000000 CR3: 000000049f59a002 CR4: 0000000000760ee0
<4> [206.895019] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4> [206.895021] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4> [206.895023] PKRU: 55555554
<4> [206.895024] Call Trace:
<4> [206.895049]  hsw_power_well_enable+0xa2/0x1e0 [i915]
<4> [206.895055]  ? _raw_spin_unlock_irqrestore+0x4c/0x60
<4> [206.895084]  intel_power_well_enable+0x35/0x40 [i915]
<4> [206.895107]  __intel_display_power_get_domain+0x69/0x80 [i915]
<4> [206.895132]  intel_display_power_get+0x2b/0x40 [i915]
<4> [206.895165]  intel_ddi_pre_enable+0x473/0x7c0 [i915]
<4> [206.895197]  intel_encoders_pre_enable.isra.13+0x61/0x80 [i915]
<4> [206.895229]  haswell_crtc_enable+0x8f/0x7f0 [i915]
<4> [206.895260]  ? icl_pll_get_hw_state+0x5f/0x280 [i915]
<4> [206.895291]  intel_update_crtc+0x57/0x2a0 [i915]
<4> [206.895320]  skl_update_crtcs+0x266/0x2b0 [i915]
<4> [206.895352]  intel_atomic_commit_tail+0x1e3/0xd20 [i915]
<4> [206.895385]  intel_atomic_commit+0x244/0x330 [i915]
<4> [206.895414]  __intel_display_resume+0x7d/0xc0 [i915]
<4> [206.895441]  intel_display_resume+0xe1/0x110 [i915]
<4> [206.895469]  i915_pm_resume+0xc0/0x110 [i915]
<4> [206.895474]  ? pci_pm_suspend_late+0x30/0x30
<4> [206.895478]  dpm_run_callback+0x64/0x280
<4> [206.895483]  device_resume+0xb3/0x1e0
<4> [206.895488]  ? dpm_watchdog_set+0x60/0x60
<4> [206.895495]  async_resume+0x14/0x40
<4> [206.895498]  async_run_entry_fn+0x34/0x160
<4> [206.895503]  process_one_work+0x262/0x630
<4> [206.895511]  worker_thread+0x37/0x380
<4> [206.895517]  ? process_one_work+0x630/0x630
<4> [206.895519]  kthread+0x119/0x130
<4> [206.895525]  ? kthread_park+0x80/0x80
<4> [206.895530]  ret_from_fork+0x3a/0x50
<4> [206.895541] irq event stamp: 57722
<4> [206.895545] hardirqs last  enabled at (57721): [<ffffffff810fbb34>] vprintk_emit+0x124/0x320
<4> [206.895548] hardirqs last disabled at (57722): [<ffffffff810019b0>] trace_hardirqs_off_thunk+0x1a/0x1c
<4> [206.895550] softirqs last  enabled at (56726): [<ffffffff81c0033a>] __do_softirq+0x33a/0x4b9
<4> [206.895554] softirqs last disabled at (56719): [<ffffffff8108dfe9>] irq_exit+0xa9/0xc0
<4> [206.895577] WARNING: CPU: 2 PID: 2436 at drivers/gpu/drm/i915/intel_runtime_pm.c:306 hsw_wait_for_power_well_enable.isra.3+0x43/0x50 [i915]
<4> [206.895579] ---[ end trace db2e1594671af7da ]---
Comment 18 Imre Deak 2018-11-13 17:30:39 UTC
Different bug with the same error message.(In reply to Martin Peres from comment #17)
> (In reply to Imre Deak from comment #16)
> > Fix merged:
> > 
> > commit 602438ead302aaa844899db5214b489d0d93fe18
> > Author: Imre Deak <imre.deak@intel.com>
> > Date:   Tue Nov 6 18:06:21 2018 +0200
> > 
> >     drm/i915/icl: Fix port B combo PHY context loss after DC transitions
> 
> Thanks, this really helped!

Yep, I think different bug leading to the same error message.

This one is due to our modeset vs. TC port connected state tracking being broken, a known issue. The test generates an HPD disconnect interrupt on the HDMI output during suspend and so we run the TypeC disconnect sequence, but there is no time for userspace/kernel console to react doing a modeset to disable the output. Then after resume we try to restore the output but since the port is in a disconnected state that will fail, leading to the timeout during powerwell enabling.

So in general HPD on ICL type C ports is broken or not implemented yet, depending on how you want to look at it.
Comment 19 Martin Peres 2018-11-13 18:52:32 UTC
(In reply to Imre Deak from comment #18)
> Different bug with the same error message.(In reply to Martin Peres from
> comment #17)
> > (In reply to Imre Deak from comment #16)
> > > Fix merged:
> > > 
> > > commit 602438ead302aaa844899db5214b489d0d93fe18
> > > Author: Imre Deak <imre.deak@intel.com>
> > > Date:   Tue Nov 6 18:06:21 2018 +0200
> > > 
> > >     drm/i915/icl: Fix port B combo PHY context loss after DC transitions
> > 
> > Thanks, this really helped!
> 
> Yep, I think different bug leading to the same error message.
> 
> This one is due to our modeset vs. TC port connected state tracking being
> broken, a known issue. The test generates an HPD disconnect interrupt on the
> HDMI output during suspend and so we run the TypeC disconnect sequence, but
> there is no time for userspace/kernel console to react doing a modeset to
> disable the output. Then after resume we try to restore the output but since
> the port is in a disconnected state that will fail, leading to the timeout
> during powerwell enabling.
> 
> So in general HPD on ICL type C ports is broken or not implemented yet,
> depending on how you want to look at it.

Awesome comment! Thanks for stating it so clearly!
Comment 20 Jani Saarinen 2018-11-14 06:52:36 UTC
So should this go to James / Jose?
Comment 21 James Ausmus 2018-11-15 00:48:09 UTC
Jose will take this on.

I'm assuming the chamelium test that is the last thing this is failing on isn't part of BAT, so we can remove that from the title, and drop priority of this?
Comment 22 Jani Saarinen 2018-11-15 05:39:11 UTC
If you mean IGT: igt@kms_chamelium@hdmi-hpd-after-suspend , yes that is not part of BAT but only full
Comment 23 Lakshmi 2018-11-15 08:13:26 UTC
Last test failed is igt@kms_chamelium@common-hpd-after-suspend and igt@kms_chamelium@hdmi-hpd-after-suspend.
These failures happened in drmtip and BAT as well.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5140/fi-icl-u2/igt@kms_chamelium@common-hpd-after-suspend.html

Last BAT failure - CI_DRM_5140 (16 hours, 36 minutes / 6 runs ago).
Comment 24 Martin Peres 2018-11-15 12:55:00 UTC
(In reply to Jani Saarinen from comment #22)
> If you mean IGT: igt@kms_chamelium@hdmi-hpd-after-suspend , yes that is not
> part of BAT but only full

common-hpd-after-suspend is part of BAT and it hits this issue.

To make matters worse, Petri landed his patch to abort testing after the kernel gets tainted (\o/), so everything happening after this does not get executed. 

This makes this bug the highest priority you can think of. No pressure ;)
Comment 25 Martin Peres 2018-11-15 12:55:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4715/fi-icl-u2/igt@runner@aborted.html

--> here is the runner exiting because the kernel got tainted.
Comment 26 Jose Roberto de Souza 2018-11-15 18:57:31 UTC
The common-hpd-after-suspend should be fixed by the first patch in this series: https://patchwork.freedesktop.org/series/52195/
Comment 27 Lakshmi 2018-12-03 12:39:58 UTC
Jose, more patches coming here?

Last seen CI_DRM_5239 (1 hour, 21 minutes / 1 runs ago)

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5239/fi-icl-u2/igt@kms_chamelium@common-hpd-after-suspend.html
Comment 28 Jani Saarinen 2018-12-03 13:07:56 UTC
SOme from Imre too (trybot): 
https://patchwork.freedesktop.org/series/53336/


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.